Bug 269576 - [NPOT] R300: No text (black box) in "present windows" effect
Summary: [NPOT] R300: No text (black box) in "present windows" effect
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: scene-opengl (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-27 23:32 UTC by Nicofo
Modified: 2011-11-07 18:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7.3


Attachments
present windows (167.19 KB, image/png)
2011-03-27 23:32 UTC, Nicofo
Details
Detect NPOT Support through GLPlatform (743 bytes, patch)
2011-05-24 07:13 UTC, Martin Flöser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicofo 2011-03-27 23:32:36 UTC
Created attachment 58381 [details]
present windows

Version:           unspecified (using KDE 4.6.1) 
OS:                Linux

There is no text (just a black box) in the "present windows" mode:
the text displayed inside the window (representing the title of the window) is not
visible: there is only the black banner in the middle of the window without any
text... (see attachment)

Reproducible: Always
Comment 1 Nicofo 2011-04-12 22:02:19 UTC
Still present in kde 4.6.2
Comment 2 Martin Flöser 2011-04-28 22:18:37 UTC
could you please provide more information about your system?
Comment 3 Nicofo 2011-04-28 23:30:26 UTC
I run Fedora 14, up to date with KDE 4.6.2
kernel 2.6.35.12-88.fc14.i686
R300 video card  (RV370)
xorg-x11-drv-ati-6.13.1-0.4.20100705git37b348059.fc14.i686 driver
xorg-x11-server-Xorg-1.9.5-1.fc14.i686

Do you need more information ?
Comment 4 Thomas Lübking 2011-04-28 23:39:52 UTC
a) i assume it does not happen with the xrender backend, but only opengl?
b) restart kwin from konsole "kwin --replace &" - what does it say about strict binding
c) try:
kwriteconfig --file kwinrc --group Compositing --key GLStrictBinding true
qdbus org.kde.kwin /KWin reconfigure
qdbus org.kde.kwin /KWin toggleCompositing
qdbus org.kde.kwin /KWin toggleCompositing

does the issue remain? (in doubt restart kwin instead of the three qdbus commands)
Comment 5 Nicofo 2011-04-29 00:14:49 UTC
a) correct: only with opengl

b) kwin --replace &
OpenGL vendor string:                   X.Org R300 Project
OpenGL renderer string:                 Gallium 0.4 on RV370
OpenGL version string:                  2.1 Mesa 7.9
OpenGL shading language version string: 1.20
Driver:                                 R300G
GPU class:                              R300
OpenGL version:                         2.1
GLSL version:                           1.20
Mesa version:                           7.9
Linux kernel version:                   2.6.35
Direct rendering:                       yes
Requires strict binding:                yes
GLSL shaders:                           limited
Texture NPOT support:                   limited

c) the problem is still present
Comment 6 YAFU 2011-05-03 16:09:12 UTC
Exactly the same problem on Kubuntu 64bits (Maverick 10.10 - Natty 11.04) - KDE 4.6.x - ATI Radeon X1200

xserver-xorg-video-radeon 6.14.0

OpenGL vendor string:                   X.Org R300 Project
OpenGL renderer string:                 Gallium 0.4 on ATI RS690
OpenGL version string:                  2.1 Mesa 7.10.2
OpenGL shading language version string: 1.20
Driver:                                 R300G
GPU class:                              R400
OpenGL version:                         2.1
GLSL version:                           1.20
Mesa version:                           7.10.2
X server version:                       1.10.1
Linux kernel version:                   2.6.38
Direct rendering:                       yes
Requires strict binding:                yes
GLSL shaders:                           limited
Texture NPOT support:                   limited
QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No existe el fichero o el directorio
QFileSystemWatcher: failed to add paths: /home/yafu/.config/ibus/bus

Thanks.
Comment 7 Martin Flöser 2011-05-22 11:01:50 UTC
could we please get a dump of glxinfo (I suspect that it "supports" NPOT textures)
Comment 8 Nicofo 2011-05-22 23:36:58 UTC
Here is the output of glxinfo:

$ glxinfo 
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGI_make_current_read, GLX_SGI_swap_control, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_INTEL_swap_event
client glx vendor string: Mesa Project and SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap, 
    GLX_INTEL_swap_event
GLX version: 1.4
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap, 
    GLX_INTEL_swap_event
OpenGL vendor string: X.Org R300 Project
OpenGL renderer string: Gallium 0.4 on RV370
OpenGL version string: 2.1 Mesa 7.9
OpenGL shading language version string: 1.20
OpenGL extensions:
    GL_ARB_copy_buffer, GL_ARB_depth_texture, GL_ARB_draw_buffers, 
    GL_ARB_draw_elements_base_vertex, GL_ARB_fragment_coord_conventions, 
    GL_ARB_fragment_program, GL_ARB_fragment_program_shadow, 
    GL_ARB_fragment_shader, GL_ARB_framebuffer_object, 
    GL_ARB_map_buffer_range, GL_ARB_multisample, GL_ARB_multitexture, 
    GL_ARB_occlusion_query, GL_ARB_pixel_buffer_object, 
    GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_provoking_vertex, 
    GL_ARB_shader_objects, GL_ARB_shading_language_100, GL_ARB_shadow, 
    GL_ARB_texture_border_clamp, GL_ARB_texture_compression, 
    GL_ARB_texture_cube_map, GL_ARB_texture_env_add, 
    GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, 
    GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_texture_non_power_of_two, GL_ARB_texture_rectangle, 
    GL_ARB_texture_swizzle, GL_ARB_transpose_matrix, GL_ARB_vertex_array_bgra, 
    GL_ARB_vertex_array_object, GL_ARB_vertex_buffer_object, 
    GL_ARB_vertex_program, GL_ARB_vertex_shader, GL_ARB_window_pos, 
    GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, 
    GL_EXT_blend_equation_separate, GL_EXT_blend_func_separate, 
    GL_EXT_blend_logic_op, GL_EXT_blend_minmax, GL_EXT_blend_subtract, 
    GL_EXT_compiled_vertex_array, GL_EXT_copy_texture, 
    GL_EXT_draw_range_elements, GL_EXT_framebuffer_blit, 
    GL_EXT_framebuffer_multisample, GL_EXT_framebuffer_object, 
    GL_EXT_fog_coord, GL_EXT_gpu_program_parameters, GL_EXT_multi_draw_arrays, 
    GL_EXT_packed_depth_stencil, GL_EXT_packed_pixels, 
    GL_EXT_pixel_buffer_object, GL_EXT_point_parameters, 
    GL_EXT_polygon_offset, GL_EXT_provoking_vertex, GL_EXT_rescale_normal, 
    GL_EXT_secondary_color, GL_EXT_separate_specular_color, 
    GL_EXT_shadow_funcs, GL_EXT_stencil_two_side, GL_EXT_stencil_wrap, 
    GL_EXT_subtexture, GL_EXT_texture, GL_EXT_texture3D, 
    GL_EXT_texture_cube_map, GL_EXT_texture_edge_clamp, 
    GL_EXT_texture_env_add, GL_EXT_texture_env_combine, 
    GL_EXT_texture_env_dot3, GL_EXT_texture_filter_anisotropic, 
    GL_EXT_texture_lod_bias, GL_EXT_texture_mirror_clamp, 
    GL_EXT_texture_object, GL_EXT_texture_rectangle, GL_EXT_texture_sRGB, 
    GL_EXT_texture_swizzle, GL_EXT_vertex_array, GL_EXT_vertex_array_bgra, 
    GL_APPLE_packed_pixels, GL_APPLE_vertex_array_object, 
    GL_ATI_blend_equation_separate, GL_ATI_texture_env_combine3, 
    GL_ATI_texture_mirror_once, GL_ATI_separate_stencil, 
    GL_IBM_multimode_draw_arrays, GL_IBM_rasterpos_clip, 
    GL_IBM_texture_mirrored_repeat, GL_INGR_blend_func_separate, 
    GL_MESA_pack_invert, GL_MESA_ycbcr_texture, GL_MESA_window_pos, 
    GL_NV_blend_square, GL_NV_conditional_render, GL_NV_light_max_exponent, 
    GL_NV_packed_depth_stencil, GL_NV_texgen_reflection, 
    GL_NV_texture_env_combine4, GL_NV_texture_rectangle, GL_OES_read_format, 
    GL_SGI_color_matrix, GL_SGIS_generate_mipmap, 
    GL_SGIS_texture_border_clamp, GL_SGIS_texture_edge_clamp, 
    GL_SGIS_texture_lod, GL_SUN_multi_draw_arrays, GL_OES_EGL_image

96 GLX Visuals
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x021 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x022 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0fc 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0fd 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0fe 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0ff 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x100 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x101 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x102 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x103 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x104 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x105 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x106 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x107 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x108 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x109 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x10a 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x10b 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x10c 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x10d 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x10e 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x10f 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x110 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x111 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x112 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x113 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x114 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x115 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x116 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x117 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x118 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x119 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x11a 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x11b 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x11c 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x11d 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x11e 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x11f 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x120 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x121 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x122 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x123 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x124 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x125 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x126 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x127 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x128 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x129 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x12a 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x12b 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x12c 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x12d 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x12e 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x12f 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x130 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x131 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x132 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x133 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x134 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x135 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x136 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x137 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x138 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x139 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x13a 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x13b 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x13c 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x13d 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x13e 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x13f 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x140 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x141 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x142 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x143 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x144 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x145 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x146 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x147 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x148 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x149 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x14a 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x14b 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x14c 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x14d 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x14e 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x14f 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x150 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x151 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x152 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x153 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x154 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x155 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x156 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x157 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x158 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x06b 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None

144 GLXFBConfigs:
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x06c 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x06d 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x06e 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x06f 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x070 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x071 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x072 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x073 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x074 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x075 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x076 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x077 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x078 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x079 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x07a 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x07b 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x07c 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x07d 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x07e 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x07f 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x080 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x081 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x082 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x083 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x084 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x085 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x086 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x087 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x088 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x089 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x08a 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x08b 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x08c 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x08d 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x08e 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x08f 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x090 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x091 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x092 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x093 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x094 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x095 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x096 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x097 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x098 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x099 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x09a 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x09b 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x09c  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x09d  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x09e  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x09f  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0a0  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0a1  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0a2  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0a3  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0a4  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0a5  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0a6  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0a7  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0a8  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0a9  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0aa  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0ab  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0ac  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0ad  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0ae  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0af  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0b0  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0b1  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0b2  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0b3  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0b4 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0b5 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0b6 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0b7 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0b8 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0b9 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0ba 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x0bb 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0bc 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x0bd 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0be 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x0bf 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0c0 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x0c1 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0c2 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x0c3 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0c4 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x0c5 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0c6 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0c7 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0c8 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0c9 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0ca 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0cb 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0cc 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0cd 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0ce 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0cf 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0d0 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0d1 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0d2 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0d3 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0d4 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0d5 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0d6 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0d7 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0d8 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0d9 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0da 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0db 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0dc 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0dd 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0de 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0df 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0e0 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0e1 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0e2 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0e3 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0e4  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0e5  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0e6  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0e7  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0e8  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0e9  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0ea  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0eb  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0ec  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0ed  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0ee  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0ef  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0f0  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0f1  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0f2  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0f3  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0f4  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0f5  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0f6  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0f7  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0f8  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0f9  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0fa  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0fb  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
Comment 9 YAFU 2011-05-23 12:16:51 UTC
$ glxinfo
name of display: :0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGI_make_current_read, GLX_SGI_swap_control, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_INTEL_swap_event
client glx vendor string: Mesa Project and SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap, 
    GLX_INTEL_swap_event
GLX version: 1.4
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap, 
    GLX_INTEL_swap_event
OpenGL vendor string: X.Org R300 Project
OpenGL renderer string: Gallium 0.4 on ATI RS690
OpenGL version string: 2.1 Mesa 7.10.2
OpenGL shading language version string: 1.20
OpenGL extensions:
    GL_ARB_copy_buffer, GL_ARB_depth_texture, GL_ARB_draw_buffers, 
    GL_ARB_draw_elements_base_vertex, GL_ARB_explicit_attrib_location, 
    GL_ARB_fragment_coord_conventions, GL_ARB_fragment_program, 
    GL_ARB_fragment_program_shadow, GL_ARB_fragment_shader, 
    GL_ARB_framebuffer_object, GL_ARB_half_float_vertex, 
    GL_ARB_map_buffer_range, GL_ARB_multisample, GL_ARB_multitexture, 
    GL_ARB_occlusion_query, GL_ARB_pixel_buffer_object, 
    GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_provoking_vertex, 
    GL_ARB_shader_objects, GL_ARB_shading_language_100, GL_ARB_shadow, 
    GL_ARB_texture_border_clamp, GL_ARB_texture_compression, 
    GL_ARB_texture_cube_map, GL_ARB_texture_env_add, 
    GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, 
    GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_texture_non_power_of_two, GL_ARB_texture_rectangle, 
    GL_ARB_texture_rg, GL_ARB_texture_swizzle, GL_ARB_transpose_matrix, 
    GL_ARB_vertex_array_bgra, GL_ARB_vertex_array_object, 
    GL_ARB_vertex_buffer_object, GL_ARB_vertex_program, GL_ARB_vertex_shader, 
    GL_ARB_window_pos, GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, 
    GL_EXT_blend_equation_separate, GL_EXT_blend_func_separate, 
    GL_EXT_blend_logic_op, GL_EXT_blend_minmax, GL_EXT_blend_subtract, 
    GL_EXT_compiled_vertex_array, GL_EXT_copy_texture, 
    GL_EXT_draw_range_elements, GL_EXT_fog_coord, GL_EXT_framebuffer_blit, 
    GL_EXT_framebuffer_multisample, GL_EXT_framebuffer_object, 
    GL_EXT_gpu_program_parameters, GL_EXT_multi_draw_arrays, 
    GL_EXT_packed_depth_stencil, GL_EXT_packed_pixels, 
    GL_EXT_pixel_buffer_object, GL_EXT_point_parameters, 
    GL_EXT_polygon_offset, GL_EXT_provoking_vertex, GL_EXT_rescale_normal, 
    GL_EXT_secondary_color, GL_EXT_separate_shader_objects, 
    GL_EXT_separate_specular_color, GL_EXT_shadow_funcs, 
    GL_EXT_stencil_two_side, GL_EXT_stencil_wrap, GL_EXT_subtexture, 
    GL_EXT_texture3D, GL_EXT_texture_compression_dxt1, 
    GL_EXT_texture_compression_s3tc, GL_EXT_texture_cube_map, 
    GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add, 
    GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, 
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_lod_bias, 
    GL_EXT_texture_mirror_clamp, GL_EXT_texture_object, GL_EXT_texture, 
    GL_EXT_texture_rectangle, GL_EXT_texture_sRGB, GL_EXT_texture_swizzle, 
    GL_EXT_vertex_array_bgra, GL_EXT_vertex_array, GL_OES_EGL_image, 
    GL_OES_read_format, GL_APPLE_packed_pixels, GL_APPLE_vertex_array_object, 
    GL_ATI_blend_equation_separate, GL_ATI_separate_stencil, 
    GL_ATI_texture_env_combine3, GL_ATI_texture_mirror_once, 
    GL_IBM_multimode_draw_arrays, GL_IBM_rasterpos_clip, 
    GL_IBM_texture_mirrored_repeat, GL_INGR_blend_func_separate, 
    GL_MESA_pack_invert, GL_MESA_window_pos, GL_MESA_ycbcr_texture, 
    GL_NV_blend_square, GL_NV_conditional_render, GL_NV_light_max_exponent, 
    GL_NV_packed_depth_stencil, GL_NV_texgen_reflection, 
    GL_NV_texture_env_combine4, GL_NV_texture_rectangle, GL_S3_s3tc, 
    GL_SGIS_generate_mipmap, GL_SGIS_texture_border_clamp, 
    GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod, GL_SUN_multi_draw_arrays
------------------
-----------
Here the full output:

http://typewith.me/cqRnU4CG8r
Comment 10 Martin Flöser 2011-05-23 20:36:14 UTC
 the driver announces support for non power of 2 textures which is not 
 supported by the hardware generation. Unfortunately our code still uses 
 the check for the extension.

 As I don't have such an old hardware (in fact I have but the cpu fan is 
 broken) I cannot test it. I will try to implement a patch but only if 
 you are able to test it.
Comment 11 YAFU 2011-05-23 22:45:03 UTC
I am willing to try the patch, but I do not know if I'll be able.
If you tell me what to do then I can try.
Thanks.
Comment 12 Nicofo 2011-05-23 23:06:49 UTC
The same for me, I'll try to try the patch if you tell us how.
Thanks.
Comment 13 Martin Flöser 2011-05-24 07:13:39 UTC
Created attachment 60257 [details]
Detect NPOT Support through GLPlatform

Possible Fix for git master (version 4.7). Due to missing hardware I cannot test.

In case of openSUSE I could provide a package for testing.
Comment 14 YAFU 2011-05-24 16:42:21 UTC
Could this package be installed at a LiveCD session of OpenSuse 11.4 64bits?
Should I run "kwin --replace" after package installation?
Comment 15 Martin Flöser 2011-05-24 18:36:06 UTC
On Tuesday 24 May 2011 16:42:23 YAFU wrote:
> Could this package be installed at a LiveCD session of OpenSuse 11.4 64bits?
> Should I run "kwin --replace" after package installation?
yes that would be possible, but can become complicated as it would have to install complete 4.7 
(because of that I cannot produce a package before the repository for the beta is there)
Comment 16 Martin Flöser 2011-06-02 10:51:05 UTC
There is no need any more to test the patch, it is known to not fix the issue :-(

In 4.7 there is a workaround by using the graphicssystem raster which seems to not show the problem.
Comment 17 YAFU 2011-06-02 12:52:52 UTC
Thanks Martin.
I was waiting for KDE 4.7 packages on Kubuntu, so just compile kdebase-workspace with the patch.
As soon as I can get packages of KDE 4.7 I'll try to raster as graphicssystem.
By the way, using KDE 4.5 - 4.6 with raster, many things do not look quite right, such as fonts or analog clockwise.
Greetings.
Comment 18 Thomas Lübking 2011-06-08 23:43:49 UTC
@Nicofu
@YAFU
can you try this patch (should apply to vanilla master) on the native graphicssystem?
https://git.reviewboard.kde.org/r/101548/
Comment 19 YAFU 2011-06-11 05:25:53 UTC
@Thomas
What should fix this patch? Should be able to see the text in the box in "present windows" after patching (using "native" qt graphics system)?
The point is that I have installed KDE 4.7 Beta 1 in Kubuntu 11.04 Natty thanks to Project Neon:
https://launchpad.net/~neon/+archive/ppa

I applied the patch to the "kde-workspace" sources. But everything is still as before being patched. Can you tell me any command or where I can see if the patched sources have been properly installed?
Comment 20 Thomas Lübking 2011-06-11 13:49:03 UTC
I assume you've recompiled and installed the sources after applying the patch as well ;-)

The key reason for this patch is to avoid QPaintDevice::paintEngine() calls, fix some leaks on the XRender backend, ensure some pointers to be validated and avoid painting NULL pixmaps/textures (eg. shipped from the plasma theme)

I hoped the dangeling pointers might have caused the invisible text as well, but it might as well just be the paintengine swap issue (Qt's or Xorg's fault) we already know from QGradient. *sigh*

Do you get any warnings like "QPainter attempting to paint on invalid device" or so when runnign "kwin --replace &" from konsole?

And btw: do the (oxygen) shadows look "wrong" (like "mirrored") for you?

There's one wild guess left. In the patched sources, open kde-workspace/kwin/scene_opengl.cpp, move to line 1505:
1504: p.drawText(rect, m_effectFrame->alignment(), text);
1505: p.end();
1506: m_textTexture = new Texture(*m_textPixmap);

and inject an XSync:
1504: p.drawText(rect, m_effectFrame->alignment(), text);
1505: p.end();
--> 1506: XSync(display(), false);
1506: m_textTexture = new Texture(*m_textPixmap);

I however doubt this is it. QPainter should do that at ::end()...
Comment 21 YAFU 2011-06-11 15:48:54 UTC
@Thomas, "I assume you've recompiled and installed the sources after applying the patch as well ;-)"

Yes, but I want to confirm that the entire process has been well.

@Thomas, "do the (oxygen) shadows look "wrong" (like "mirrored") for you?"

Using native Qt Graphic System and effect enabled, no Window Decorator and some visual problems:
http://www.imagengratis.org/images/nativeeffects.jpg

Text boxes stay empty in present windows. By the way, I was unable to disable the effects from SystemSettings, they always stay active. I was able to disable them by editing kwinrc.

With the effects Disabled I do not see visual problems:
http://www.imagengratis.org/images/nativenoelc4cl.jpg

@Thomas, "Do you get any warnings like "QPainter attempting to paint on invalid device"or so when runnign "kwin --replace &" from konsole?"

This is a part of the output from disabled to enabled effects:

kwin(4739) KDecorationPlugins::loadPlugin: kwin : path  "/opt/project-neon/lib/kde4/kwin3_oxygen.so"  for  "kwin3_oxygen"
kwin(4739) KWin::Extensions::init: Extensions: shape: 0x "11"  composite: 0x "4"  render: 0x "b"  fixes: 0x "40"
kwin(4739) KWin::Extensions::init: Extensions: shape: 0x "11"  composite: 0x "4"  render: 0x "b"  fixes: 0x "40"
kwin(4739) KWin::Workspace::setupCompositing: Initializing OpenGL compositing
kwin(4739) KWin::SceneOpenGL::initBufferConfigs: Drawable visual (depth  24 ): 0x "13e"
kwin(4739) KWin::SceneOpenGL::initBufferConfigs: Drawable visual (depth  32 ): 0x "68"
kwin(4739) KWin::SceneOpenGL::initBuffer: Buffer visual (depth  24 ): 0x "142"
kwin(4739): Shaders are not supported 
kwin(4739) KWin::ShaderManager::initShaders: Orho Shader is not valid
kwin(4739) KWin::SceneOpenGL::SceneOpenGL: No Scene Shaders available
kwin(4739) KWin::SceneOpenGL::SceneOpenGL: DB: true , Direct: true
kwin(4739) KWin::currentRefreshRate: Refresh rate  60 Hz
kwin(4739)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from "/var/tmp/project-neon-kde-nulluser/kdecache-nulluser/ksycoca4"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_highlightwindow"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_dashboard"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_logout"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_desktopgrid"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_zoom"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_translucency"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_taskbarthumbnail"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_slidingpopups"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_presentwindows"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_login"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_startupfeedback"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_slide"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_fade"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_outline"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_boxswitch"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_screenshot"
kwin(4739) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_dialogparent"
kwin(4739) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4739) KWin::Workspace::updateClientArea: Done.
kwin(4739) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 4294967295
kwin(4739) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 33555045 ;WMCLASS: "plasma" : "plasma" ;Caption: "plasma-desktop" ' : 18446744073709551615
kwin(4739) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(4739) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4739) KWin::Workspace::updateClientArea: Done.
kwin(4739) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 1302971
kwin(4739) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 31457803 ;WMCLASS: "dolphin" : "dolphin" ;Caption: "nulluser – Dolphin" ' : 1302971
kwin(4739) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(4739) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4739) KWin::Workspace::updateClientArea: Done.
kwin(4739) KWin::Workspace::createTile: Now tiling  "nulluser – Dolphin"
kwin(4739) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 1325256
kwin(4739) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 25166347 ;WMCLASS: "dolphin" : "dolphin" ;Caption: "config – Dolphin" ' : 1325256
kwin(4739) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(4739) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4739) KWin::Workspace::updateClientArea: Done.
kwin(4739) KWin::Workspace::createTile: Now tiling  "config – Dolphin"
kwin(4739) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 1346690
kwin(4739) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 58720451 ;WMCLASS: "konsole" : "konsole" ;Caption: "nulluser : kwin" ' : 1346690
kwin(4739) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(4739) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4739) KWin::Workspace::updateClientArea: Done.
kwin(4739) KWin::Workspace::createTile: Now tiling  "nulluser : kwin"
kwin(4739) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 1344967
kwin(4739) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 33555042 ;WMCLASS: "plasma" : "plasma" ;Caption: "plasma-desktop" ' : 1344967
kwin(4739) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(4739) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4739) KWin::Workspace::updateClientArea: Done.
kwin(4739) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4739) KWin::Workspace::updateClientArea: Done.
kwin(4739) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 1364274
kwin(4739) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 39846223 ;WMCLASS: "krunner" : "krunner" ;Caption: "Run Command" ' : 1364274
kwin(4739) KWin::Workspace::allowClientActivation: Activation, compared: 'ID: 39846223 ;WMCLASS: "krunner" : "krunner" ;Caption: "Run Command" ' : 1364274 : 1363995 : true
kwin(4739) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4739) KWin::Workspace::updateClientArea: Done.
kwin(4739) KWin::Workspace::createTile: Now tiling  "Run Command"
kwin(4739) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4739) KWin::Workspace::updateClientArea: Done.
kwin(4739) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4739) KWin::Workspace::updateClientArea: Done.
======================
And this from enabled to disabled with some error messages:

kwin(4912) KDecorationPlugins::loadPlugin: kwin : path  "/opt/project-neon/lib/kde4/kwin3_oxygen.so"  for  "kwin3_oxygen"
kwin(4912) KWin::Extensions::init: Extensions: shape: 0x "11"  composite: 0x "4"  render: 0x "b"  fixes: 0x "40"
kwin(4912) KWin::Workspace::setupCompositing: Compositing is suspended
kwin(4912) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4912) KWin::Workspace::updateClientArea: Done.
kwin(4912) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 4294967295
kwin(4912) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 33555045 ;WMCLASS: "plasma" : "plasma" ;Caption: "plasma-desktop" ' : 18446744073709551615
kwin(4912) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(4912) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4912) KWin::Workspace::updateClientArea: Done.
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadAlloc [11], request: X_CreatePixmap[53], resource: 0x157" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadDrawable [9], request: X_GetGeometry[14], resource: 0x3c000e7" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadDrawable [9], request: RenderCreatePicture[RENDER+4], resource: 0x3c000e7" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadAlloc [11], request: X_CreatePixmap[53], resource: 0x157" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadDrawable [9], request: X_GetGeometry[14], resource: 0x3c000e9" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadDrawable [9], request: RenderCreatePicture[RENDER+4], resource: 0x3c000e9" ) 
kwin(4912) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 1413958
kwin(4912) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 31457803 ;WMCLASS: "dolphin" : "dolphin" ;Caption: "nulluser – Dolphin" ' : 1413958
kwin(4912) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: RenderBadPicture [RENDER+1], request: RenderFreePicture[RENDER+7], resource: 0x26" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: RenderBadPicture [RENDER+1], request: RenderFreePicture[RENDER+7], resource: 0x26" ) 
kwin(4912) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4912) KWin::Workspace::updateClientArea: Done.
kwin(4912) KWin::Workspace::createTile: Now tiling  "nulluser – Dolphin"
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadAlloc [11], request: X_CreatePixmap[53], resource: 0x157" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadDrawable [9], request: X_GetGeometry[14], resource: 0x3c0011d" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadDrawable [9], request: RenderCreatePicture[RENDER+4], resource: 0x3c0011d" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadAlloc [11], request: X_CreatePixmap[53], resource: 0x157" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadDrawable [9], request: X_GetGeometry[14], resource: 0x3c0011f" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadDrawable [9], request: RenderCreatePicture[RENDER+4], resource: 0x3c0011f" ) 
kwin(4912) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 1423019
kwin(4912) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 25166347 ;WMCLASS: "dolphin" : "dolphin" ;Caption: "config – Dolphin" ' : 1423019
kwin(4912) KWin::Workspace::allowClientActivation: Activation: Belongs to active application
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: RenderBadPicture [RENDER+1], request: RenderFreePicture[RENDER+7], resource: 0x26" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: RenderBadPicture [RENDER+1], request: RenderFreePicture[RENDER+7], resource: 0x26" ) 
kwin(4912) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4912) KWin::Workspace::updateClientArea: Done.
kwin(4912) KWin::Workspace::createTile: Now tiling  "config – Dolphin"
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadAlloc [11], request: X_CreatePixmap[53], resource: 0x157" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadDrawable [9], request: X_GetGeometry[14], resource: 0x3c00153" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadDrawable [9], request: RenderCreatePicture[RENDER+4], resource: 0x3c00153" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadAlloc [11], request: X_CreatePixmap[53], resource: 0x157" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadDrawable [9], request: X_GetGeometry[14], resource: 0x3c00155" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadDrawable [9], request: RenderCreatePicture[RENDER+4], resource: 0x3c00155" ) 
kwin(4912) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 1444764
kwin(4912) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 58720451 ;WMCLASS: "konsole" : "konsole" ;Caption: "nulluser : kwin" ' : 1444764
kwin(4912) KWin::Workspace::allowClientActivation: Activation, compared: 'ID: 58720451 ;WMCLASS: "konsole" : "konsole" ;Caption: "nulluser : kwin" ' : 1444764 : 1423019 : true
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: RenderBadPicture [RENDER+1], request: RenderFreePicture[RENDER+7], resource: 0x26" ) 
kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: RenderBadPicture [RENDER+1], request: RenderFreePicture[RENDER+7], resource: 0x26" ) 
kwin(4912) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4912) KWin::Workspace::updateClientArea: Done.
kwin(4912) KWin::Workspace::createTile: Now tiling  "nulluser : kwin"
kwin(4912) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 1441975
kwin(4912) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 33555042 ;WMCLASS: "plasma" : "plasma" ;Caption: "plasma-desktop" ' : 1441975
kwin(4912) KWin::Workspace::allowClientActivation: Activation, compared: 'ID: 33555042 ;WMCLASS: "plasma" : "plasma" ;Caption: "plasma-desktop" ' : 1444947 : 1423019 : true
kwin(4912) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4912) KWin::Workspace::updateClientArea: Done.
kwin(4912) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4912) KWin::Workspace::updateClientArea: Done.
kwin(4912) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 1450441
kwin(4912) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 39846223 ;WMCLASS: "krunner" : "krunner" ;Caption: "Run Command" ' : 1450441
kwin(4912) KWin::Workspace::allowClientActivation: Activation, compared: 'ID: 39846223 ;WMCLASS: "krunner" : "krunner" ;Caption: "Run Command" ' : 1450441 : 1450028 : true
kwin(4912) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4912) KWin::Workspace::updateClientArea: Done.
kwin(4912) KWin::Workspace::createTile: Now tiling  "Run Command"
kwin(4912) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(4912) KWin::Workspace::updateClientArea: Done.
============================
I will try later with what you say at the end.
Thanks.
Comment 22 Thomas Lübking 2011-06-11 21:54:38 UTC
(In reply to comment #21)
> Using native Qt Graphic System and effect enabled, no Window Decorator and some visual problems:
Has it been like this all the time, only with the last update or only with the patch?

> Text boxes stay empty in present windows.
Do you have the scale method set to "accurate"?

> By the way, I was unable to disable the effects from SystemSettings
Yesno, the setting controls how kwin starts up.
We removed the "artificial" split between "enabled/disabled" and "not/suspended".
The effects are now always "enabled" but not activated unless you set them "enabled" by default or press SHIFT+Alt+F12 to "resume" them.
Thechnically there's been no difference and the split sometimes caused undefined states. So "suspend" is the new "disable" ;-)

> And this from enabled to disabled with some error messages:
> ...
> kwin(4912) KWin::x11ErrorHandler: kwin: X Error ( "error: BadDrawable [9],
> request: RenderCreatePicture[RENDER+4], resource: 0x3c000e9" ) 

-> Can you try to disable all but one cpu cores:
echo 0 | sudo tee /sys/devices/system/cpu/cpu1/online
(cpu1 is the 2nd core, do it for every core but 0 pass "1" instead of "0" to re-enable it - they're back on at least after the next reboot)
In doubt log oun/in afterwards.
Comment 23 YAFU 2011-06-12 15:50:27 UTC
(In reply to comment #22)

> Has it been like this all the time, only with the last update or only with the
> patch?
All the time, since the first clean install.


> Do you have the scale method set to "accurate"?
Yes.

> -> Can you try to disable all but one cpu cores...

My CPU is DualCore. I still getting the error by disabling the cpu1.
But after compiling and installing with the latest modification [XSync(display(), false);], the error has not happened again. Is the modification related to the problem, or was it a coincidence?
The original problem of empty text boxes continues in all circumstances. Like the problem with the window decorator. I mention also that these two problems do not happen using "raster" as Qt Graphic System.
Comment 24 Thomas Lübking 2011-06-12 20:42:48 UTC
pfeeeww.. so my patch isn't the culprit ;-)
can you try using the smooth scale method?

Just to ensure and clarify this:
The additional XSync() in the textTexture (!) code DOES fix the visual glitch about ARGB textures (the decoration & konsole) but it does NOT fix the actual textTexture issue???

/me is confused, assumes coincidence related to other changes in the code.
Comment 25 YAFU 2011-06-14 01:54:34 UTC
> /me is confused, assumes coincidence related to other changes in the code.

Ok, I did what I explain below.
1 - I reset the user settings (deleting the ~/.project-neon-kde)
2 - With patched kde-workspace (original patch + latest modification), no errors with kwin --replace
3 - I uninstalled patched kde-workspace and installed the original package (git20110611). Errors come back running kwin --replace.
4 - I reinstalled the patched kde-workspace (original patch + latest modification). No errors with kwin --replace.
I do not know ...

Well, coming back to the original problem, using smooth scale method I still not getting window decorator and no text in text boxes (in native Qt GS).
Greetings.
Comment 26 Nicofo 2011-09-26 17:59:49 UTC
Hi,
I have now KDE 4.7 and I still have the problem.
(In reply to comment #16)
> In 4.7 there is a workaround by using the graphicssystem raster which seems to
> not show the problem.
(I guess it's the command "plasma-desktop --graphicssystem raster" ?) => no effect.

Is the patch (#19) still up-to-date ?
Is there someting new with KDE 4.7 to solve this issue ?
Comment 27 Thomas Lübking 2011-09-26 19:36:36 UTC
"kwin --replace --graphicssystem raster"

the patch of comment #18 is part of KWin 4.7.x but the reason for this issue could just as well be a broken VBO implementation in mesa (esp. iff it should work with the raster system)

the suggestion of comment #20 (afaics) not since we didn't really get sorted out whether and what it fixes - not to mention "why" ... if it has the weird result of  comment #24
(but likely has not and that was a totally coincidental issue, could be a compiler optimization or the broken distro package injects a custom patch *shrug*)
Comment 28 Nicofo 2011-10-01 10:01:59 UTC
OK, I tried with "kwin --replace --graphicssystem raster"  =>  now it's OK, I have the texts. Thanks.
Can I make this setting permanent ? (how?)

So you think it's rather a problem in mesa ?
Comment 29 Thomas Lübking 2011-10-01 16:58:17 UTC
Put "export QT_GRAPHICSSYSTEM=raster" into some (executable) file in ~/.kde/env

There's most likely a (partial) mesa issue about VBO's - yes :-(
Comment 30 Martin Flöser 2011-10-15 12:30:12 UTC
Git commit b22f64f95509c0b9f343c64e60bfcbe2b08d0a0a by Martin Gräßlin.
Committed on 15/10/2011 at 14:14.
Pushed by graesslin into branch 'KDE/4.7'.

Generate texture coordinates for limited NPOT support

Fixes rendering issues with R300 and similar GPUs. If the texture
uses GL_TEXTURE_RECTANGLE_ARB as target the tex coordinates need
to be adjusted. This at least fixes missing text on EffectFrames
with graphicssystem native on R300. Hopefully more issues are
resolved by the change.

BUG: 269576
CCBUG: 282882
FIXED-IN: 4.7.3

M  +11   -4    kwin/libkwineffects/kwinglutils.cpp

http://commits.kde.org/kde-workspace/b22f64f95509c0b9f343c64e60bfcbe2b08d0a0a
Comment 31 Martin Flöser 2011-10-15 12:30:40 UTC
Git commit 230d5aee9bdc46c3a796a10b884685b4224ba732 by Martin Gräßlin.
Committed on 15/10/2011 at 14:14.
Pushed by graesslin into branch 'master'.

Generate texture coordinates for limited NPOT support

Fixes rendering issues with R300 and similar GPUs. If the texture
uses GL_TEXTURE_RECTANGLE_ARB as target the tex coordinates need
to be adjusted. This at least fixes missing text on EffectFrames
with graphicssystem native on R300. Hopefully more issues are
resolved by the change.

BUG: 269576
CCBUG: 282882
FIXED-IN: 4.7.3

M  +11   -4    kwin/libkwineffects/kwingltexture.cpp

http://commits.kde.org/kde-workspace/230d5aee9bdc46c3a796a10b884685b4224ba732
Comment 32 YAFU 2011-11-07 18:01:45 UTC
Fixed! Tested on Kubuntu and Chakra (KDE 4.7.3)
Thanks Martin, Thomas and all developers.
Comment 33 Nicofo 2011-11-07 18:26:20 UTC
Yep, same on Fedora. Thanks!